package com.cmvr.test.flow.runtime.operator.llm;

import com.cmvr.test.enums.ActionEnum;
import com.cmvr.test.flow.runtime.message.TaskNodeExecuteMessage;
import com.cmvr.test.flow.runtime.message.TaskNodeExecuteResult;

public interface LLMOperateService {

    boolean supports(ActionEnum action);

    TaskNodeExecuteResult execute(TaskNodeExecuteMessage message);
}
